##### 7.7.7.0. lp2iv

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lp2iv(p); p a poly

Return:
  intvec

Purpose:
  Transforming a monomial into the corresponding intvec.
  For the encoding of the variables see the overview.

Assume:
  - basering has to be a Letterplace ring

Note:
  - Assumptions will not be checked!

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    poly p = x(1)*x(2)*z(3); poly q = y(1)*y(2)*x(3)*x(4);
    poly w= z(1)*y(2)*x(3)*z(4)*z(5);
    // p,q,w are some polynomials we want to transform into their
    // intvec representation
    lp2iv(p); lp2iv(q); lp2iv(w);
    ==> 1,1,3
    ==> 2,2,1,1
    ==> 3,2,1,3,3

User manual for Singular version 4-0-3, 2016, generated by texi2html.